# Class ReadsEncoderOptions

java.lang.Object
htsjdk.beta.plugin.reads.ReadsEncoderOptions

All Implemented Interfaces:
  `HtsEncoderOptions`

public class ReadsEncoderOptions extends Object implements HtsEncoderOptions
General reads encoder options.

## Constructor Summary

Constructors
Constructor
Description
`ReadsEncoderOptions()`

## Method Summary

Modifier and Type
Method
Description
`BAMEncoderOptions`
`getBAMEncoderOptions()`
Get the `BAMEncoderOptions` for these ReadsEncoderOptions.
`CRAMEncoderOptions`
`getCRAMEncoderOptions()`
Get the `CRAMEncoderOptions` for this ReadsEncoderOptions.
`boolean`
`isPreSorted()`
Get the preSorted setting for these options.
`ReadsEncoderOptions`
`setBAMEncoderOptions(BAMEncoderOptions bamEncoderOptions)`
Set the `BAMEncoderOptions` for these ReadsEncoderOptions.
`ReadsEncoderOptions`
`setCRAMEncoderOptions(CRAMEncoderOptions cramEncoderOptions)`
Set the `CRAMEncoderOptions` for these ReadsEncoderOptions.
`ReadsEncoderOptions`
`setPreSorted(boolean preSorted)`
Set the preSorted setting for these options.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReadsEncoderOptions

public ReadsEncoderOptions()

## Method Details

### isPreSorted

public boolean isPreSorted()
Get the preSorted setting for these options. Default value is false. If isPresorted is false, output will be sorted as needed on write.

Returns:
  true if preSorted is true, otherwise false

### setPreSorted

public ReadsEncoderOptions setPreSorted(boolean preSorted)
Set the preSorted setting for these options. Default value is false. If preSorted is false, output will be sorted as needed on write.

Parameters:
  `preSorted` - the preSorted state for these options
Returns:
  updated ReadsEncoderOptions

### getBAMEncoderOptions

public BAMEncoderOptions getBAMEncoderOptions()
Get the `BAMEncoderOptions` for these ReadsEncoderOptions. Defaults to default `BAMEncoderOptions`.

Returns:
  the `BAMEncoderOptions` for these ReadsEncoderOptions

### setBAMEncoderOptions

public ReadsEncoderOptions setBAMEncoderOptions(BAMEncoderOptions bamEncoderOptions)
Set the `BAMEncoderOptions` for these ReadsEncoderOptions. Defaults values are default `BAMEncoderOptions`.

Parameters:
  `bamEncoderOptions` - `BAMEncoderOptions` to use for these ReadsEncoderOptions
Returns:
  updated ReadsEncoderOptions

### getCRAMEncoderOptions

public CRAMEncoderOptions getCRAMEncoderOptions()
Get the `CRAMEncoderOptions` for this ReadsEncoderOptions. Default values are default `CRAMEncoderOptions`.

Returns:
  the `CRAMEncoderOptions` for this ReadsEncoderOptions

### setCRAMEncoderOptions

public ReadsEncoderOptions setCRAMEncoderOptions(CRAMEncoderOptions cramEncoderOptions)
Set the `CRAMEncoderOptions` for these ReadsEncoderOptions. Defaults to default `CRAMEncoderOptions`.

Parameters:
  `cramEncoderOptions` - the `CRAMEncoderOptions` for these ReadsEncoderOptions
Returns:
  updated ReadsEncoderOptions